Package org.gradle.testing.base

# Interface TestSuiteTaskCollection

All Superinterfaces:
  `BinaryTasksCollection`, `Collection<Task>`, `DomainObjectCollection<Task>`, `DomainObjectSet<Task>`, `Iterable<Task>`, `Set<Task>`

All Known Subinterfaces:
  `JvmTestSuiteBinarySpec.JvmTestSuiteTasks`, `NativeTestSuiteBinarySpec.TasksCollection`

public interface TestSuiteTaskCollection extends BinaryTasksCollection
Provides access to key tasks used by a test suite.

## Method Summary

Modifier and Type
Method
Description
`Task`
`getRun()`
The run task.

### Methods inherited from interface org.gradle.platform.base.BinaryTasksCollection

`create, getBuild, getCheck, taskName, taskName`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.gradle.api.DomainObjectCollection

`all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

### Methods inherited from interface org.gradle.api.DomainObjectSet

`findAll, matching, matching, withType`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

## Method Details

### getRun

Task getRun()
The run task.